import React from 'react';
import { StyleSheet, Text, View, FlatList } from 'react-native';

export default class Tasks extends React.Component {
  render() {
    return <View style={styles.container}>   
      <FlatList
        data={ this.props.data.map(item => ({key: item})) }
        renderItem={({item}) => <Text> {item.key} </Text>}>
      </FlatList>
    </View>;
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
    alignItems: 'stretch',
  },
});
